## ac3parse

ac3parse — AC3 parser

## Types and Values

struct | GstAc3Parse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstAc3Parse

## Description

This is an AC3 parser.

### Example launch line

    1

    gst-launch-1.0 filesrc location=abc.ac3 ! ac3parse ! a52dec ! audioresample ! audioconvert ! autoaudiosink

## Synopsis

### Element Information

plugin | audioparsers
author | Tim-Philipp Müller <tim centricular net>
class | Codec/Parser/Converter/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-ac3
| audio/x-eac3
| audio/ac3
| audio/x-private1-ac3

name | src
direction | source
presence | always
details | audio/x-ac3, framed=(boolean)true, channels=(int)[ 1, 6 ], rate=(int)[ 8000, 48000 ], alignment=(string){ iec61937, frame }
| audio/x-eac3, framed=(boolean)true, channels=(int)[ 1, 6 ], rate=(int)[ 8000, 48000 ], alignment=(string){ iec61937, frame }

## Functions

## Types and Values

### struct GstAc3Parse

    struct GstAc3Parse;

The opaque GstAc3Parse object

## See Also

GstAmrParse, GstAACParse